## MrpApplication

MrpApplication — the main project application object.

## Synopsis

    #include <libplanner/planner.h>

                        MrpApplicationPriv;
    struct              MrpApplication;
    MrpApplication *    mrp_application_new                 (void);

## Description

## Details

### MrpApplicationPriv

    typedef struct _MrpApplicationPriv MrpApplicationPriv;

A private struct for internal use only. The definition of this structure is not publically available.

### struct MrpApplication

    struct MrpApplication {
    	GObject             parent;

    	MrpApplicationPriv *priv;
    };

Object representing the application using libmrproject. You need to create an MrpApplication object to create projects and use libmrproject.

### mrp_application_new ()

    MrpApplication *    mrp_application_new                 (void);

Creates a new MrpApplication.

Returns : | the newly created application